# Visualization
TKV3d
Graphic3d

# Graphic3d_ListIteratorOfListOfShortReal Class Reference

`#include <Graphic3d_ListIteratorOfListOfShortReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_ListIteratorOfListOfShortReal ()
Standard_EXPORT | Graphic3d_ListIteratorOfListOfShortReal (const Graphic3d_ListOfShortReal &L)
Standard_EXPORT void | Initialize (const Graphic3d_ListOfShortReal &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_ShortReal & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_ListIteratorOfListOfShortReal::Graphic3d_ListIteratorOfListOfShortReal | ( |  | ) |

Standard_EXPORT Graphic3d_ListIteratorOfListOfShortReal::Graphic3d_ListIteratorOfListOfShortReal | ( | const Graphic3d_ListOfShortReal & | L | ) |

## Member Function Documentation

Standard_EXPORT void Graphic3d_ListIteratorOfListOfShortReal::Initialize | ( | const Graphic3d_ListOfShortReal & | L | ) |

Standard_Boolean Graphic3d_ListIteratorOfListOfShortReal::More | ( |  | ) | const

Standard_EXPORT void Graphic3d_ListIteratorOfListOfShortReal::Next | ( |  | ) |

void Graphic3d_ListIteratorOfListOfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_ListIteratorOfListOfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_ListIteratorOfListOfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_ShortReal& Graphic3d_ListIteratorOfListOfShortReal::Value | ( |  | ) | const

## Field Documentation

Standard_Address Graphic3d_ListIteratorOfListOfShortReal::current `[private]`

Standard_Address Graphic3d_ListIteratorOfListOfShortReal::previous `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_ListIteratorOfListOfShortReal.hxx